<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\PersonBundle\Export;

/**
 * This class declare constants used for the export framework.
 */
abstract class Declarations
{
    public const ACP_TYPE = 'accompanying_period';

    public const EVAL_TYPE = 'evaluation';

    public const HOUSEHOLD_TYPE = 'household';

    public const PERSON_IMPLIED_IN = 'person_implied_in';

    public const PERSON_TYPE = 'person';

    public const SOCIAL_WORK_ACTION_TYPE = 'social_actions';
}
